#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>

int fxPrint(char input, FILE *stream) {
	unsigned char i;
    DDRB |= (1 << PB5) | (1 << PB6) | (1 << PB7);
    PORTB &= ~( (1 << PB5) | (1 << PB6) | (1 << PB7) );
	PORTB |= (1 << PB6); //new byte

	for (i=0; i<8; i++) {
		if (input & 128) {
			//send 1
			PORTB |= (1 << PB5);
		}
		else {
			//send 0
			PORTB &= ~(1 << PB5);
		}
		input <<= 1;
		PORTB |= (1 << PB7);

		_delay_us(2000);

		PORTB &= ~((1 << PB7) | (1 << PB6));
		_delay_us(2000);
	}

    PORTB &= ~(1 << PB5);


	return 0;
}

FILE fxStream = FDEV_SETUP_STREAM(fxPrint, NULL, _FDEV_SETUP_WRITE);
